cURL
curl --request POST \
--url https://api.eda.prisme.ai/v2/login/azure/callback \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'code=<string>' \
--data 'client_info=<string>' \
--data 'state=<string>' \
--data 'session_state=<string>'import requests
url = "https://api.eda.prisme.ai/v2/login/azure/callback"
payload = {
"code": "<string>",
"client_info": "<string>",
"state": "<string>",
"session_state": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({
code: '<string>',
client_info: '<string>',
state: '<string>',
session_state: '<string>'
})
};
fetch('https://api.eda.prisme.ai/v2/login/azure/callback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
API Gateway
Post v2loginazurecallback
End azure authentication
POST
/
v2
/
login
/
azure
/
callback
cURL
Authorizations
BearerAuthWorkspaceApiKeyAuthBearerAuth & WorkspaceApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
302
Redirection response
Was this page helpful?
⌘I